# Uses of Interface
org.apache.sling.discovery.commons.providers.ViewStateManager

Packages that use ViewStateManager
Package
Description
org.apache.sling.discovery.commons.providers.base
Provides commons implementations for providers of the Discovery API.

## Uses of ViewStateManager in org.apache.sling.discovery.commons.providers.base

Classes in org.apache.sling.discovery.commons.providers.base that implement ViewStateManager
Modifier and Type
Class
Description
`class`
`ViewStateManagerImpl`
The ViewStateManager is at the core of managing TopologyEventListeners, the 'view state' (changing vs changed) and sending out the appropriate and according TopologyEvents to the registered listeners.
Methods in org.apache.sling.discovery.commons.providers.base that return ViewStateManager
Modifier and Type
Method
Description
`static ViewStateManager`
ViewStateManagerFactory.`newViewStateManager(Lock lock, ClusterSyncService consistencyService)`